=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2008-08-12 18:07:45 +0000
+++ loggerhead/templatefunctions.py	2008-08-12 19:53:01 +0000
@@ -79,3 +79,6 @@
 def search_box():
     return _pt('search-box').expand(**templatefunctions)
 
+@templatefunc
+def feed_link(branch):
+    return _pt('feed-link').expand(branch=branch, **templatefunctions)

=== added file 'loggerhead/templates/feed-link.pt'
--- loggerhead/templates/feed-link.pt	1970-01-01 00:00:00 +0000
+++ loggerhead/templates/feed-link.pt	2008-08-12 19:53:01 +0000
@@ -0,0 +1,8 @@
+<tal:feed-link>
+  <div>
+    <a tal:attributes="href python:url(['/atom']);
+                       title string:RSS feed for ${branch/friendly_name}">
+      <img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')" alt="RSS" class="rssfeed"/>
+    </a>
+  </div>
+</tal:feed-link>

=== modified file 'loggerhead/templates/macros.pt'
--- loggerhead/templates/macros.pt	2008-08-12 18:07:45 +0000
+++ loggerhead/templates/macros.pt	2008-08-12 19:53:01 +0000
@@ -24,12 +24,9 @@
     <ul id="menuTabs">
         <form tal:attributes="action python:branch.url('/changes', start_revid=getattr(navigation, 'start_revid', None), 
                                                                    file_id=getattr(navigation, 'file_id', None))">
-      	  <div id="finderBox">
+          <div id="finderBox">
             <tal:search-box replace="structure python:search_box()" />
-            <div><a tal:attributes="href python:url(['/atom']);
-                                    title string:RSS feed for ${branch/friendly_name}"> 
-                 <img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')" alt="RSS" class="rssfeed"/></a>
-            </div>
+            <tal:feed-link replace="structure python:feed_link(branch)" />
           </div>
         </form>
 

